baz_fastrak_decoder.h File Reference
`#include <gnuradio/sync_block.h>`
Include dependency graph for baz_fastrak_decoder.h:

Go to the source code of this file.

## Classes

class | baz_fastrak_decoder
| square2 a stream of floats. More...

## Functions

BAZ_API baz_fastrak_decoder_sptr | baz_make_fastrak_decoder (int sample_rate)
| Return a shared_ptr to a new instance of baz_fastrak_decoder.

## Variables

class BAZ_API | baz_fastrak_decoder

## Function Documentation

## baz_make_fastrak_decoder()

BAZ_API baz_fastrak_decoder_sptr baz_make_fastrak_decoder | ( | int | sample_rate | ) |

Return a shared_ptr to a new instance of baz_fastrak_decoder.

To avoid accidental use of raw pointers, baz_fastrak_decoder's constructor is private. baz_make_fastrak_decoder is the public interface for creating new instances.

## Variable Documentation

## baz_fastrak_decoder

class BAZ_API baz_fastrak_decoder